/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package simulator.elevatormodules;

import jSimPack.SimTime;
import simulator.payloads.ButtonPayload;

/**
 *
 * @author kamikasee
 */
public class SodaButton extends Button {

    private ButtonPayload localButton;

    public SodaButton(int index, SimTime defaultPressTime, SimTime messagePeriod, boolean verbose) {
        super("SodaButton[" + index + "]", defaultPressTime, messagePeriod, verbose);


        localButton = new ButtonPayload(index);
        physicalConnection.sendTimeTriggered(localButton, messagePeriod);
        physicalConnection.sendOnce(localButton);
    }

    @Override
    protected void sendButtonMessage() {
        localButton.set(this.isPressed());
        physicalConnection.sendOnce(localButton);
    }


}
